Subject: Display meaningful error message if temporary path would be too long for OS
Description

Certain setups (Windows ...) don't allow long path names. If FLOW3 is installed somewhere deep in the file structure, the path + file
name for the caches and temp directory can become too long.

Currently this results in an exception thrown when trying to write to that directory (see #3550) but this could be checked earlier, when
the temp directory is created in Utility\Environment. A meaningful error message would help to configure FLOW3 correctly.

Related issues:
related to TYPO3.Flow - Bug # 3550: Uncaught FLOW3 Exception in FileBackend o... Closed 2009-06-03
related to TYPO3.Flow - Task # 4088: Check maximum allowed path length only w... Closed 2009-07-31

Associated revisions
Revision 5310cc0c - 2009-07-27 18:47 - Bastian Waidelich

[+FEATURE] FLOW3 (Cache): Throw exception if FileBackend tries to create a file with a path that exceeds the maximum allowed path length. Fixes
#3560
[+FEATURE] FLOW3 (Environment): Create warning log entry if temporary base path is longer than (PHP_MAXPATHLEN - 230). Relates to #3560
[BUGFIX] FLOW3 (Monitor): Fixed one more file monitor test that failed on Windows. Relates to #3823

Revision 049ce6ef - 2009-07-28 18:26 - Bastian Waidelich

[~TASK] FLOW3 (Cache): FileBackend now stores the result of $this->environment->getMaximumPathLength() to increase performance. Relates to
#3560

History
#1 - 2009-07-01 09:32 - Robert Lemke
- Target version changed from 1.0 alpha 2 to 283

#2 - 2009-07-13 10:51 - Robert Lemke
- Target version changed from 283 to 1.0 alpha 3

#3 - 2009-07-27 12:27 - Robert Lemke
- Assigned To set to Bastian Waidelich

#4 - 2009-07-27 19:00 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100
Applied in changeset r2898.
